| Flutter Impeller |

Public Member Functions | Friends | List of all members
impeller::BlitPassGLES Class Referencefinal

`#include <blit_pass_gles.h>`

Inheritance diagram for impeller::BlitPassGLES:

## Public Member Functions
| ~BlitPassGLES () override
Public Member Functions inherited from impeller::BlitPass
virtual | ~BlitPass ()
void | SetLabel (std::string_view label)
virtual bool | ConvertTextureToShaderRead (const std::shared_ptr< Texture > &texture)
| If the texture is not already in a shader read internal state, then convert it to that state. More...
bool | AddCopy (std::shared_ptr< Texture > source, std::shared_ptr< Texture > destination, std::optional< IRect > source_region=std::nullopt, IPoint destination_origin={}, std::string_view label="")
| Record a command to copy the contents of one texture to another texture. The blit area is limited by the intersection of the texture coverage with respect the source region and destination origin. More...
bool | AddCopy (std::shared_ptr< Texture > source, std::shared_ptr< DeviceBuffer > destination, std::optional< IRect > source_region=std::nullopt, size_t destination_offset=0, std::string_view label="")
| Record a command to copy the contents of a texture to a buffer. More...
bool | AddCopy (BufferView source, std::shared_ptr< Texture > destination, std::optional< IRect > destination_region=std::nullopt, std::string_view label="", uint32_t mip_level=0, uint32_t slice=0, bool convert_to_read=true)
| Record a command to copy the contents of a buffer to a texture. More...
bool | GenerateMipmap (std::shared_ptr< Texture > texture, std::string_view label="")
| Record a command to generate all mip levels for a texture. More...

## Friends
class | CommandBufferGLES

## Additional Inherited Members
Protected Member Functions inherited from impeller::BlitPass
| BlitPass ()

## Detailed Description

Definition at line 18 of file blit_pass_gles.h.

## Constructor & Destructor Documentation

## ◆ ~BlitPassGLES()

impeller::BlitPassGLES::~BlitPassGLES | ( |  | ) |
| override default

## Friends And Related Function Documentation

## ◆ CommandBufferGLES

friend class CommandBufferGLES
| friend

Definition at line 25 of file blit_pass_gles.h.

The documentation for this class was generated from the following files:

- impeller/renderer/backend/gles/blit_pass_gles.h
- impeller/renderer/backend/gles/blit_pass_gles.cc